/**
 * PreventCopy directive
 *
 * element 의 오른쪽 마우스 버튼을 막고 (oncontextmenu 처리),
 * 선택/드래그 되지 않도록 설정한다. (user-select-none 스타일)
 *
 * ```
 * import preventCopy from '../directive/preventCopy'
 *
 * export default defineComponent({
 *   directives: {preventCopy},
 * })
 * ```
 *
 * ```
 * <template>
 *   <img v-prevent-copy/>
 *   <img v-prevent-copy="true"/>
 * </template>
 * ```
 */
import { Directive } from "vue";
declare const _default: Directive;
export default _default;
