/**
 * SelectOnLoad
 * ```ts
 * import selectOnLoad from "@/lib/directive/FocusOnLoad"
 * defineComponent({
 *   directives: {selectOnLoad}
 * })
 * ```
 */
import {Directive, DirectiveBinding} from "vue"

function doSelect(el: Element): void {
  (el as HTMLInputElement).select?.()
}

export default {
  mounted: (el: Element, binding: DirectiveBinding): void => {
    if ((binding.value === undefined) || String(binding.value) === 'true' || typeof (binding.value) === 'number') {
      if (typeof (binding.value) === 'number') {
        setTimeout(() => doSelect(el), binding.value)
      } else {
        doSelect(el)
      }
    }
  }
} as Directive