import {LocationQuery} from "vue-router"

/**
 * 두 개의 LocationQuery 객체가 같은지 확인한다.
 * @param query1
 * @param query2
 */
export const isLocationQueryEqual = (query1: LocationQuery, query2: LocationQuery): boolean => {
  return JSON.stringify(query1, Object.keys(query1).sort()) === JSON.stringify(query2, Object.keys(query2).sort())
}

/**
 * `query` 에서 `deleteKeys` 를 제거한 query 를 리턴한다.
 * 리턴되는 객체는 새로운 객체이다.
 * @param query
 * @param deleteKeys
 */
export const deleteFromLocationQuery = (query: LocationQuery, ...deleteKeys: string[]): LocationQuery => {
  const newQuery: LocationQuery = {...query}
  deleteKeys.forEach(key => delete newQuery[key])
  return newQuery
}